# pymatgen.analysis.chemenv.utils.defs_utils module

This module contains the definition of some objects used in the chemenv package.

class AdditionalConditions

  Bases: `object`

  Class for additional conditions.

  ALL = [0, 1, 2, 3, 4]
  CONDITION_DESCRIPTION = {0: 'No additional condition', 1: 'Only anion-cation bonds', 2: 'No element-element bonds (same elements)', 3: 'Only anion-cation bonds and no element-element bonds (same elements)', 4: 'Only element-oxygen bonds'}
  NONE = 0
  NO_AC = 0
  NO_ADDITIONAL_CONDITION = 0
  NO_E2SEB = 2
  NO_ELEMENT_TO_SAME_ELEMENT_BONDS = 2
  ONLY_ACB = 1
  ONLY_ACB_AND_NO_E2SEB = 3
  ONLY_ANION_CATION_BONDS = 1
  ONLY_ANION_CATION_BONDS_AND_NO_ELEMENT_TO_SAME_ELEMENT_BONDS = 3
  ONLY_E2OB = 4
  ONLY_ELEMENT_TO_OXYGEN_BONDS = 4
  check_condition(condition, structure, parameters)
    Parameters

      - condition –

      - structure –

      - parameters –

    Returns

chemenv_citations()
  Returns